/v1/auth/mfa

Prev Next
Post
/v1/auth/mfa
Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Body parameters
object
email
string Required
Exampleuser@example.com
mfaType
string Required
ExampleTOTP
code
string Required
Example123456
stateToken
string
Examplestate-token-12345
Responses
200

MFA verification successful

object
auth
boolean
Exampletrue
token
string
Examplegr-auth-12345678-1234-1234-1234-123456789012-87654321-4321-4321-4321-210987654321
accountType
string
Valid values[ "no_account", "enterprise", "provider", "msp", "graphiant" ]
Exampleenterprise
email
string

User email address (returned for MFA users)

Exampleuser@example.com
mfaType
string

MFA type (returned for MFA users)

ExampleTOTP
stateToken
string

State token for MFA verification (returned for MFA users)

Examplestate-token-12345
status
string

Authentication status (returned for MFA users)

ExampleAwaitingMfa
400

Bad request - Missing required fields

object
auth
boolean
Examplefalse
token
string | null
Exampleopenapi-json-null-sentinel-value-2BF93600-0FE4-4250-987A-E5DDB203E464
error
string
Exampleemail not provided
500

Internal server error

object
error
string
ExampleInternal error